Copyright: Created with EasyHelp (Tel: 0973 209667)


SignalP/Simple Filter - RG354247

Description

This block implements a single-pole low-pass filter; it provides a single output.

The user must pre-compute the K Value for the filter using the formula:

K Value = exp(dt/t)

where dt is the invocation time and t is the filter time constant.

A new Output is computed only when the Input input receives a message.  Note that this block cannot tolerate timing jitter; the Input input must receive messages on a regular basis.

The K Value is persistent.

Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

K value	Sets the K-value.  Expects a value between 0% and 100%.

Get Input	Returns the current value of the input:  -100% to +100%.

Get Output	Returns the current value of the output:  -100% to +100%.

Get K value	Returns the current K-value:  0% and 100%.


Description

This block implements a single-pole low-pass filter; it provides a single output.

The user must pre-compute the K Value for the filter using the formula:

K Value = exp(dt/t)

where dt is the invocation time and t is the filter time constant.

A new Output is computed only when the Input input receives a message.  Note that this block cannot tolerate timing jitter; the Input input must receive messages on a regular basis.

The K Value is persistent.


Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

K value	Sets the K-value.  Expects a value between 0% and 100%.

Get Input	Returns the current value of the input:  -100% to +100%.

Get Output	Returns the current value of the output:  -100% to +100%.

Get K value	Returns the current K-value:  0% and 100%.